/*
let destiny = Math.floor(Math.random() * 6) + 1;
let guess = +prompt("Try to guess the number from 1 to 6");
if (!guess) {
  alert("Enter the Number not any other symbols");
} else if (destiny === guess) {
  alert("Congrats!");
} else if (destiny < guess) {
  alert("Less then mine!");
} else {
  alert("Grater then mine!");
}
*/

/**
 * Задание 2.
 *
 * Написать программу, которая будет приветствовать пользователя.
 * Сперва пользователь вводит своё имя, после чего программа выводит в консоль сообщение с учётом его должности.
 *
 * Список должностей:
 * Mike — CEO;
 * Jane — CTO;
 * Walter — программист:
 * Oliver — менеджер;
 * John — уборщик.
 *
 * Если введёно не известное программе имя — вывести в консоль сообщение «Пользователь не найден.».
 *
 * Выполнить задачу в двух вариантах:
 * - используя конструкцию if/else if/else;
 * - используя конструкцию switch.
 */

/*
let user = prompt("Введіть ім'я");

switch (user.toLowerCase()) {
  case "mike":
    alert("Hi " + capitalizeFirstLetter(user) + " CEO");
    break;
  case "jane":
    alert("Hi " + capitalizeFirstLetter(user) + " CTO");
    break;
  case "walter":
    alert("Hi " + capitalizeFirstLetter(user) + " програміст");
    break;
  case "oliver":
    alert("Hi " + capitalizeFirstLetter(user) + " менеджер");
    break;
  case "john":
    alert("Hi " + capitalizeFirstLetter(user) + " прибиральник");
    break;
  default:
    alert("Користувач не знайдений");
    break;
}

function capitalizeFirstLetter(string) {
  return string.charAt(0).toUpperCase() + string.slice(1);
}
*/

/**
 * Задание 4.
 *
 * Напишите программу «Кофейная машина».
 *
 * Программа принимает монеты и готовит напитки:
 * - Кофе за 25 монет;
 * - Капучино за 50 монет;
 * - Чай за 10 монет.
 *
 * Чтобы программа узнала что делать, она должна знать:
 * - Сколько монет пользователь внёс;
 * - Какой он желает напиток.
 *
 * В зависимости от того, какой напиток выбрал пользователь,
 * программа должна вычислить сдачу и вывести сообщение в консоль:
 * «Ваш «НАЗВАНИЕ НАПИТКА» готов. Возьмите сдачу: «СУММА СДАЧИ».".
 *
 * Если пользователь ввёл сумму без сдачи — вывести сообщение:
 * «Ваш «НАЗВАНИЕ НАПИТКА» готов. Спасибо за сумму без сдачи! :)"
 */

/**
let cash = +prompt("Вкиньте монетки");
if (isNaN(cash) || cash === 0) {
  alert("Приймаю тільки монети");
}
let drink = prompt("Що будете пити? `Кава`, `Капучино` чи `Чай");
// let drink = prompt("Що будете пити?");
drink = drink.toLowerCase();


if (drink === "кава") {
  if (cash === 25) {
    alert(`Ваш напій ${drink} готовий. Дякую за суму без решти!`);
  } else {
    alert(`Ваш напій ${drink} Заберіть решту: ${cash - 25} `);
  }
} else if (drink === "капучино") {
  if (cash === 50) {
    alert(`Ваш напій ${drink} готовий. Дякую за суму без решти!`);
  } else {
    alert(`Ваш напій ${drink} готовий. Заберіть решту: ${cash - 50} `);
  }
} else if (drink === "чай") {
  if (cash === 10) {
    alert(`Ваш напій ${drink} готовий. Дякую за суму без решти!`);
  } else {
    alert(`Ваш напій ${drink} Заберіть решту: ${cash - 10} `);
  }
}
*/

/**
 * Задание 1.
 *
 * С помощью цикла вывести в консоль все нечётные числа,
 * которые находятся в диапазоне от 0 до 300.
 *
 * Заметка:
 * Чётное число — это число, которое делится на два.
 * Нечётное число — это число, которое не делится на два.
 *
 * Продвинутая сложность:
 * Не выводить в консоль числа, которые делятся на 5.
 */

// for (let i = 0; i <= 300; i++) {
//   if (i % 2 !== 0 && i % 5 !== 0) {
//     console.log(i);
//   }
// }

/**
 * Задание 2.
 *
 * Пользователь должен ввести два числа.
 * Если введённое значение не является числом,
 * программа продолжает опрашивать пользователя до тех пор,
 * пока он не введёт число.
 *
 * Когда пользователь введёт два числа, вывести в консоль сообщение:
 * «Поздравляем. Введённые вами числа: «ПЕРВОЕ_ЧИСЛО» и «ВТОРОЕ_ЧИСЛО».».
 */
